SLAE2(3f)

NAME
SLAE2 - the eigenvalues of a 2-by-2 symmetric matrix [ A B ] [ B C ]

SYNOPSIS

SUBROUTINE SLAE2(
    A, B, C, RT1, RT2 )

REAL
    A, B, C, RT1, RT2

PURPOSE
SLAE2 computes the eigenvalues of a 2-by-2 symmetric matrix
   [ A B ]
   [ B C ]. On return, RT1 is the eigenvalue of larger absolute value, and RT2 is the eigenvalue of smaller absolute value.

ARGUMENTS

A       (input) REAL
    The (1,1) element of the 2-by-2 matrix.

B       (input) REAL
    The (1,2) and (2,1) elements of the 2-by-2 matrix.

C       (input) REAL
    The (2,2) element of the 2-by-2 matrix.

RT1     (output) REAL
    The eigenvalue of larger absolute value.

RT2     (output) REAL
    The eigenvalue of smaller absolute value.

FURTHER DETAILS
RT1 is accurate to a few ulps barring over/underflow.
RT2 may be inaccurate if there is massive cancellation in the determinant A*C-B*B; higher precision or correctly rounded or correctly truncated arithmetic would be needed to compute RT2 accurately in all cases.
Overflow is possible only if RT1 is within a factor of 5 of overflow. Underflow is harmless if the input data is 0 or exceeds
   underflow_threshold / macheps.